#!/bin/bash
#
# simple-sync-phone:bin/api/gui/rsync-to-phone-dialog-api.sh
#
declare -grax KDIALOG_DEFAULT_OPTS=(--title 'simple-sync-phone' --geometry 600x400+100+100)
declare -grx KDIALOG_TITLE='simple-sync-phone'

function dialog_error {
  local -r text="$1"

  kdialog --title "${KDIALOG_TITLE}" --error "${text}" || return $?
}

function dialog_getexistingdirectory {
  kdialog "${KDIALOG_DEFAULT_OPTS[@]}" --title "${KDIALOG_TITLE} - Select local directory to synchronize" --getexistingdirectory "${HOME}" || return $?
}

function dialog_getopenfilename {
  kdialog "${KDIALOG_DEFAULT_OPTS[@]}" --title "${KDIALOG_TITLE} - Select local file to synchronize" --getopenfilename "${HOME}" '*' || return $?
}

function dialog_input {
  local -r text="$1"
  local -r input="${2:-}"

  kdialog "${KDIALOG_DEFAULT_OPTS[@]}" --inputbox "${text}" "${input}" || return $?
}

function dialog_menu {
  local -r text="$1"
  shift

  kdialog  "${KDIALOG_DEFAULT_OPTS[@]}" --menu "${text}"  "$@" || return $?
}

function dialog_msgbox {
  local -r text="$1"

  kdialog --title "${KDIALOG_TITLE}" --msgbox "${text}" || return $?
}

function dialog_radiolist {
  local -r text="$1"
  shift

  kdialog "${KDIALOG_DEFAULT_OPTS[@]}" --separate-output --radiolist "${text}"  "$@" || return $?
}

function dialog_textbox {
  kdialog "${KDIALOG_DEFAULT_OPTS[@]}" --textbox "${__GUI_OUTPUT__}" || return $?
}

function dialog_warning {
  local -r text="$1"

  kdialog --title "${KDIALOG_TITLE}" -warningyesno "${text}" || return $?
}

