#!/bin/bash
#
# simple-sync-phone:bin/api/gui/rsync-to-phone-api.sh
#
function __run_rsync_to_phone__ {
  local -a ssp_opts=()

  ssp_opts+=(--ip "${ip}")
  ssp_opts+=(--port "${port}")
  ssp_opts+=(--user "${RSYNC_TO_PHONE_REMOTE_USER}")
  ssp_opts+=(--source "${source}")
  ssp_opts+=(--destination "${destination}")
  ssp_opts+=(--skip-checks)
  ssp_opts+=(--pause)

  if [ "${copy_into}" = 'true' ] ; then
    ssp_opts+=(--copy-into)
  fi

  run_from_terminal "${PROJECT_HOME}/bin/simple-sync-phone.sh" "${ssp_opts[@]}" || return $?
}

function rsync_to_phone_ui {
  local -r ip="$1"
  local -r port="$2"
  local -r copy_into="$3"
  local -r source="$4"
  local -r destination="$5"

  if [ ! -e "${source}" ] ; then
    dialog_error "File not found: '${source}'."
    return 100
  fi

  if [ -f "${source}" ] ; then
    echo "Synchronize file: '${source}'" # Trace only
  elif [ -d "${source}" ] ; then
    echo "Synchronize directory: '${source}'" # Trace only
  else
    dialog_error "Can't handle: '${source}'"
    return 100
  fi

  local -i _rc_=0
  __run_rsync_to_phone__ || _rc_=$?

  if [ "${_rc_}" -eq 0 ] ; then
    dialog_msgbox 'Done.'
    return 0
  else
    dialog_error --error 'Something wrong...'
    return "${_rc_}"
  fi
}
